GET
/api/v1/nodes/vnc/{node_id}
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/vnc/{node_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/vnc/{node_id}", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/vnc/{node_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate requests to the Access Console
Example
<API_KEY>location
required
string
Specifies the location for the request
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the response
integer
data
object
token
Authentication token returned after successful login
string
port
Port number of the Access Console as a string
string
password
Password returned for console access
string
host
Hostname of the Access Console server
string
ip_address_public
Public IP address of the resource
string
ip_address_private
Private IPv4 address assigned to the resource
string
vm_name
Name of the virtual machine
string
errors
object
message
Status message returned by the Access Console.
string
Example
{ "code": 200, "data": { "token": "example-hexadecimal", "port": "12345", "password": "q1w2e3r4", "host": "one.e2enetworks.com", "ip_address_public": "", "ip_address_private": "10.2.3.4", "vm_name": "C3-8GB-501" }, "message": "Success"}